import request from '@/utils/request'

// 查询行政裁决信息填报模板列表
export function listInfo(query) {
  return request({
    url: '/crmAdministrativeSanctionInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询行政裁决信息填报模板详细
export function getInfo(id) {
  return request({
    url: '/basicData/info/' + id,
    method: 'get'
  })
}

// 新增行政裁决信息填报模板
export function addInfo(data) {
  return request({
    url: '/basicData/info',
    method: 'post',
    data: data
  })
}

// 修改行政裁决信息填报模板
export function updateInfo(data) {
  return request({
    url: '/basicData/info',
    method: 'put',
    data: data
  })
}

// 删除行政裁决信息填报模板
export function delInfo(id) {
  return request({
    url: '/crmAdministrativeSanctionInfo/deleteAll',
    method: 'delete'
  })
}

// 批量删除行政许可
export function delLicenseBatch(ids) {
  console.log(ids);
  return request.post('/crmAdministrativeSanctionInfo/delete',ids)
}
